com.thinkaurelius.titan.diskstorage.util

## Class BackendOperation

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.util.BackendOperation

-     public class BackendOperation
      extends Object

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `BackendOperation.Transactional<R>`
    `static interface` | `BackendOperation.TransactionalProvider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BackendOperation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <R> R` | `execute(BackendOperation.Transactional<R> exe, BackendOperation.TransactionalProvider provider, TimestampProvider times)`
    `static <R> R` | `execute(BackendOperation.Transactional<R> exe, BackendOperation.TransactionalProvider provider, TimestampProvider times, Duration maxTime)`
    `static <V> V` | `execute(Callable<V> exe, Duration totalWaitTime)`
    `static <V> V` | `executeDirect(Callable<V> exe, Duration totalWaitTime)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BackendOperation

          public BackendOperation()

  - ### Method Detail

    - #### execute

          public static final <V> V execute(Callable<V> exe,
                      Duration totalWaitTime)
                                 throws TitanException

      Throws:
        `TitanException`

    - #### executeDirect

          public static final <V> V executeDirect(Callable<V> exe,
                            Duration totalWaitTime)
                                       throws BackendException

      Throws:
        `BackendException`

    - #### execute

          public static <R> R execute(BackendOperation.Transactional<R> exe,
                      BackendOperation.TransactionalProvider provider,
                      TimestampProvider times)
                           throws BackendException

      Throws:
        `BackendException`

    - #### execute

          public static <R> R execute(BackendOperation.Transactional<R> exe,
                      BackendOperation.TransactionalProvider provider,
                      TimestampProvider times,
                      Duration maxTime)
                           throws TitanException

      Throws:
        `TitanException`

Copyright © 2012–2014. All rights reserved.